<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerReferralPlugin\Application\Controller\Shop;

use Dedi\SyliusCustomerReferralPlugin\Domain\Referral\UseCase\Invite\InvitePresenterInterface;

class ReferralInvitePresenter implements InvitePresenterInterface
{
    /** @var string */
    private $inviteeEmail;

    public function present($output): void
    {
        $this->inviteeEmail = $output->getReferralModel()->getInviteeEmail();
    }

    public function getInviteeEmail(): string
    {
        return $this->inviteeEmail;
    }
}
