<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerReferralPlugin\Domain\Referral\UseCase\AcceptInvite;

use Dedi\SyliusCustomerReferralPlugin\Domain\Referral\Model\InviteeModelInterface;

class AcceptInviteInput
{
    /** @var InviteeModelInterface */
    private $invitee;

    public function __construct(
        InviteeModelInterface $invitee
    ) {
        $this->invitee = $invitee;
    }

    public function getInvitee(): InviteeModelInterface
    {
        return $this->invitee;
    }
}
